> ## Documentation Index
> Fetch the complete documentation index at: https://developers.mihu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Signature public key

> JWK set of the verification signatures.



## OpenAPI

````yaml /stt/openapi.json get /v1/voiceprints/jwks
openapi: 3.0.3
info:
  title: Umay STT API
  version: 1.0.25
  description: >-
    Speech recognition: files, voiceprints and audio isolation. Live audio uses
    the WebSocket endpoints in the guide pages.
servers:
  - url: https://stt.eu.mihu.ai
    description: Europe (EU)
  - url: https://stt.tr.mihu.ai
    description: Türkiye (TR)
security:
  - bearerAuth: []
tags:
  - name: Service
  - name: Transcription
  - name: Voiceprints
  - name: Audio isolation
paths:
  /v1/voiceprints/jwks:
    get:
      tags:
        - Voiceprints
      summary: Signature public key
      description: JWK set of the verification signatures.
      operationId: voiceprintJwks
      responses:
        '200':
          description: JWK set
          content:
            application/json:
              example:
                keys:
                  - kty: OKP
                    crv: Ed25519
                    x: ujz0Dki3EF0yMw57nIuSzZDCpZHgGrQN4mrhWISn78E
                    kid: 847639410432197a
                    use: sig
                    alg: EdDSA
        '401':
          description: Missing or wrong API key
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Your API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.